[bumpversion]
current_version = 0.0.1a0.dev7
commit = True
tag = True
parse = (?P<major>\d+)\.(?P<minor>\d+)\.?(?P<patch>\d*)(?P<prerelease_marker>[abrc]{0,2})(?P<prerelease>\d*)
serialize =
	{major}.{minor}.{patch}{prerelease_marker}{prerelease}
	{major}.{minor}.{patch}
	{major}.{minor}{prerelease_marker}{prerelease}
	{major}.{minor}
	{major}{prerelease_marker}{prerelease}
	{major}


[bumpversion:file:docs/conf.py]
search = release = "{current_version}"
replace = release = "{new_version}"


[bumpversion:file:handadoc_client.py]
search = __version__ = "{current_version}"
replace = __version__ = "{new_version}"

[bdist_wheel]
universal = 1

[aliases]

[metadata]
name = handadoc-client
author = David Scheliga
url = https://gitlab.com/david.scheliga/handadoc_client
project_urls = 
	Documentation = https://handadoc_client.readthedocs.io/en/latest/
	Source Code Repository = https://gitlab.com/david.scheliga/handadoc_client
description = Client for handadoc to hand over documentations to the webserver.
long_description = file: README.md, CHANGELOG.md, LICENSE.md
long_description_content_type = text/markdown
keywords =
license = GNU General Public License V3 (GPLv3)
classifiers =
	Development Status :: 3 - Alpha
	License :: OSI Approved :: GNU General Public License v3 (GPLv3)
	Operating System :: OS Independent
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9


[options]
py_modules = handadoc_client
include_package_data = True
install_requires =
	click
	requests
	jsonschema
	myminions


[options.entry_points]
console_scripts =
	handadoc = handadoc_client:cli
